Update an existing tenant
PUT /tenants/{tenantId}
Updates an existing tenant.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
tenantId |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
Tenant name |
description |
string |
False |
Tenant description |
costCenter |
string |
False |
Tenant cost center |
Example request
{
"name": "string",
"description": "string",
"costCenter": "string"
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
publicId |
string |
False |
|
workingEnvironmentsInformation |
False |
Example error response
{
"name": "string",
"publicId": "string"
}
Definitions
See Definitions
Capacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
True |
Size |
unit |
string |
True |
Unit |
WorkingEnvironmentsInformation
| Name | Type | Required | Description |
|---|---|---|---|
regionsCount |
integer |
False |
Number of regions for which systems exist over this tenant |
totalReservedSize |
False |
||
workingEnvironmentsCount |
integer |
False |
Number of systems created over this tenant |